/* Slideshow - START */
.slideshow-section {
  overflow-x: hidden;
  overflow-x: clip;
}

.slideshow-wrapper {
  position: relative;
  z-index: 0;
}

.slideshow-wrapper .slideshow-swiper {
  position: relative;
  --_section-padding-start: calc(var(--wrapper-padding) + var(--_slide-padding-inline, 0rem));
  --_action-start: max(calc(((100% - (var(--page-width) * 1px)) / 2) + var(--_section-padding-start)), var(--_section-padding-start));
  --_action-btn-size: calc(1.5rem * var(--body-scale));
  --_action-btn-padding: calc(.625rem * var(--body-scale));
  --_action-btn-height: calc(var(--_action-btn-size) + (var(--_action-btn-padding) * 2));
  --_action-container-bottom: 2.5rem;
  color: rgb(var(--text-color));
}

.slideshow-wrapper .slideshow-swiper.action-border {
  --_action-container-padding: calc(0.25rem * var(--body-scale));
  --_action-container-border: 1px;
  --_action-btn-height: calc(var(--_action-btn-size) + (var(--_action-btn-padding) * 2) + (var(--_action-container-padding) * 2) + (var(--_action-container-border) * 2));
}

.slideshow-wrapper .slideshow-swiper.action-number-style:not(.action-border) {
  --_action-container-border: 2px;
  --_action-btn-height: calc(var(--_action-btn-size) + (var(--_action-btn-padding) * 2) + var(--_action-container-border));
}

.slideshow-wrapper .slide-wrapper.page-width .slide-inner-wrapper {
  border-radius: calc(0.3px * var(--layout-radius));
}

.slideshow-wrapper .slideshow-swiper[class*="slide-padding"] .slide-container {
  padding-inline: var(--_slide-padding-inline, 0rem);
}

.slideshow-wrapper .slideshow-swiper.slide-padding-small {
  --_slide-padding-inline: 2rem;
}

.slideshow-wrapper .slideshow-swiper.slide-padding-medium {
  --_slide-padding-inline: 3.25rem;
}

.slideshow-wrapper .slideshow-swiper.slide-padding-large {
  --_slide-padding-inline: 4.5rem;
}

.slideshow-wrapper .slideshow-action {
  position: absolute;
  bottom: var(--_action-container-bottom);
  z-index: 1;
  display: flex;
  gap: calc(0.625rem * var(--body-scale));
  max-width: calc(100% - (var(--_action-start) * 2));
  transition: border-color 200ms ease-in-out;
  contain: layout;
  will-change: auto;
}

.slideshow-wrapper .slideshow-action.action-left {
  left: var(--_action-start);
  justify-content: flex-start;
}

.slideshow-wrapper .slideshow-action.action-center {
  left: 50%;
  transform: translateX(-50%);
  justify-content: center;
}

.slideshow-wrapper .slideshow-action.action-right {
  right: var(--_action-start);
  justify-content: flex-end;
}

.slideshow-wrapper .slideshow-swiper.action-border .slideshow-action {
  padding: var(--_action-container-padding, 0);
  border: var(--_action-container-border) solid rgb(var(--border-color));
  border-radius: calc(0.27px * var(--button-radius));
}

.slideshow-wrapper .slideshow-swiper.action-number-style:not(.action-border) .slideshow-action {
  border-bottom: var(--_action-container-border) solid rgb(var(--secondary-background));
}

.slideshow-wrapper .slideshow-action .action-btn {
  cursor: pointer;
  padding: var(--_action-btn-padding);
  flex-shrink: 0;
  width: calc(var(--_action-btn-size) + (var(--_action-btn-padding) * 2));
  height: calc(var(--_action-btn-size) + (var(--_action-btn-padding) * 2));
  min-width: 44px;
  min-height: 44px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.slideshow-wrapper .slideshow-swiper.action-border .slideshow-action .action-btn {
  border-radius: calc(0.22px * var(--button-radius));
}

.slideshow-wrapper .slideshow-swiper.action-dot-style .slideshow-action .action-btn {
  border-radius: calc(0.22px * var(--button-radius));
}

.slideshow-wrapper .slideshow-swiper.action-number-style .slideshow-action .action-btn,
.slideshow-wrapper .slideshow-swiper .slideshow-action .slideshow-autoplay-toggle {
  background-color: transparent;
  color: rgb(var(--text-color));
  transition: color 200ms ease-in-out;
}

.slideshow-wrapper .slideshow-swiper.action-number-style .slideshow-action .action-btn:hover,
.slideshow-wrapper .slideshow-swiper.action-number-style .slideshow-action .action-btn:focus-visible,
.slideshow-wrapper .slideshow-swiper .slideshow-action .slideshow-autoplay-toggle:hover,
.slideshow-wrapper .slideshow-swiper .slideshow-action .slideshow-autoplay-toggle:focus-visible {
  color: rgb(var(--link-color));
}

.slideshow-wrapper .slideshow-action .action-btn svg {
  width: var(--_action-btn-size);
  height: var(--_action-btn-size);
}

.slideshow-wrapper .slideshow-pagination {
  display: flex;
  justify-content: center;
  min-height: calc(var(--_action-btn-size) + (var(--_action-btn-padding) * 2));
  align-items: center;
}

.slideshow-wrapper .slideshow-pagination-bullets {
  flex-wrap: wrap;
  gap: calc(0.5rem * var(--body-scale));
}

.slideshow-wrapper .slideshow-pagination-fraction {
  align-items: center;
  gap: calc(0.25rem * var(--body-scale));
  padding-bottom: calc(0.125rem * var(--body-scale));
  transition: color 200ms ease-in-out;
  white-space: nowrap;
}

.slideshow-wrapper .slideshow-pagination-bullet {
  --_bullet-size: calc(0.5rem * var(--body-scale));
  padding: calc(0.5rem * var(--body-scale));
  display: flex;
  align-items: center;
  cursor: pointer;
  background: none;
  border: none;
  position: relative;
}

.slideshow-wrapper .slideshow-pagination-bullet::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  width: 100%;
  height: 100%;
  min-width: 32px;
  min-height: 32px;
  transform: translate(-50%, -50%);
}

.slideshow-wrapper .slideshow-pagination-bullet::before {
  content: "";
  display: block;
  width: var(--_bullet-size);
  height: var(--_bullet-size);
  background-color: rgb(var(--primary-button-background));
  border-radius: calc(0.04px * var(--button-radius));
  transition-duration: 200ms;
  transition-timing-function: ease-in-out;
  transition-property: background-color, width;
}

.slideshow-wrapper .slideshow-pagination-bullet-active::before {
  width: calc(2rem * var(--body-scale));
}

.slideshow-wrapper .slideshow-pagination-bullet:hover::before,
.slideshow-wrapper .slideshow-pagination-bullet:focus-visible::before,
.slideshow-wrapper .slideshow-pagination-bullet-active::before {
  background-color: rgb(var(--primary-button-hover-background));
}

.slideshow-wrapper .slideshow-container {
  position: relative;
  overflow: hidden;
  min-height: var(--_slide-height, 400px);
}

.slideshow-wrapper .slideshow-container.slide-height-adapt {
  min-height: 0;
}

.slideshow-wrapper .slideshow-container.slide-height-small {
  min-height: 400px;
}

.slideshow-wrapper .slideshow-container.slide-height-medium {
  min-height: 500px;
}

.slideshow-wrapper .slideshow-container.slide-height-large {
  min-height: 700px;
}

.slideshow-wrapper .slideshow-track {
  display: flex;
  transition: transform 0.5s ease-in-out;
  will-change: transform;
  min-height: 100%;
}

.slideshow-wrapper .slideshow-slide {
  flex: 0 0 100%;
  width: 100%;
  height: auto;
  min-height: 0;
}

.slideshow-wrapper .slide-wrapper,
.slideshow-wrapper .slide-inner-wrapper {
  height: 100%;
}

.slideshow-wrapper .slide-wrapper.page-width {
  contain: layout;
}

.slideshow-wrapper .slideshow-slide[aria-hidden="true"] {
  visibility: visible;
}

.slideshow-wrapper .slideshow-slide[aria-hidden="false"] {
  visibility: visible;
}

.slideshow-wrapper .slide-inner-wrapper {
  position: relative;
  z-index: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  overflow: hidden;
  min-height: var(--_slide-height, 400px);
}

.slideshow-wrapper .slide-inner-wrapper.slide-height-adapt {
  --_slide-height: 0px;
}

.slideshow-wrapper .slide-inner-wrapper.slide-height-small {
  --_slide-height: 400px;
}

.slideshow-wrapper .slide-inner-wrapper.slide-height-medium {
  --_slide-height: 500px;
}

.slideshow-wrapper .slide-inner-wrapper.slide-height-large {
  --_slide-height: 700px;
}

.slideshow-wrapper .slide-container {
  width: 100%;
  contain: layout style;
}

.slideshow-wrapper .slide-background-image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
}

.slideshow-wrapper .slide-background-image::after {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgb(var(--primary-background) / calc(var(--_overlay-opacity, 0) / 100));
}

.slideshow-wrapper .slide-background-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

.slideshow-wrapper .slide-container .preheading {
  font-size: var(--text-size-3xl);
  line-height: 1.2;
}

.slideshow-wrapper .slide-container .preheading:not(:last-child) {
  margin-bottom: 0.75em;
}

.slideshow-wrapper .slide-container h2 {
  line-height: 1.1;
}

.slideshow-wrapper .slide-container .richtext-container {
  contain: layout style;
}

.slideshow-wrapper .slide-container .column-wrapper {
  contain: layout;
}

@media(max-width: 767.98px) {
  .slideshow-wrapper .slideshow-swiper {
    --_section-padding-start: calc(var(--wrapper-padding) + (var(--_slide-padding-inline, 0rem) / 2));
  }

  .slideshow-wrapper .slideshow-swiper[class*="slide-padding"] .slide-container {
    padding-inline: calc(var(--_slide-padding-inline, 0rem) / 2);
  }

  .slideshow-wrapper .slideshow-pagination:has(.slideshow-pagination-bullet) {
    display: none;
  }

  .slideshow-wrapper .slideshow-action {
    gap: calc(.25rem * var(--body-scale));
    contain: layout;
    transform: translateZ(0);
  }

  .slideshow-wrapper .slide-container {
    contain: layout;
  }

  .slideshow-wrapper .slideshow-container.slide-height-medium {
    min-height: 400px;
  }

  .slideshow-wrapper .slideshow-container.slide-height-large {
    min-height: 500px;
  }
}

.slideshow-wrapper .button-container {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: calc(1rem * var(--body-scale));
}

.slideshow-wrapper .text-center .button-container {
  justify-content: center;
}

.slideshow-wrapper .text-right .button-container {
  justify-content: flex-end;
}

.slideshow-wrapper .text-left .button-container {
  justify-content: flex-start;
}

/* Slideshow - END */